Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.adventure.enums
Enum State

    java.lang.Object
      java.lang.Enum<State>
          de.rico.adventure.enums.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<State>

    public enum State

extends java.lang.Enum<State>

This is an enumeration that contains possible states of the adventure.

Author:
  Frank Bruns

Enum Constant Summary
`CINEMATIC`
`CLOSE_UP`
`LOADING`
`MAP`
`MENU`
`NO_INPUT`
`NO_INPUT_CINEMATIC`
`NORMAL`
`SHOW_SCREEN`
`TALK`

Method Summary
`static State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MENU

    public static final State MENU

### LOADING

    public static final State LOADING

### NORMAL

    public static final State NORMAL

### SHOW_SCREEN

    public static final State SHOW_SCREEN

### NO_INPUT

    public static final State NO_INPUT

### TALK

    public static final State TALK

### CINEMATIC

    public static final State CINEMATIC

### NO_INPUT_CINEMATIC

    public static final State NO_INPUT_CINEMATIC

### CLOSE_UP

    public static final State CLOSE_UP

### MAP

    public static final State MAP

Method Detail

### values

    public static final State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(State c : State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD